# Visualization
TKV3d
Graphic3d

# Graphic3d_MapOfStructure Class Reference

`#include <Graphic3d_MapOfStructure.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_MapOfStructure (const Standard_Integer NbBuckets=1)
Standard_EXPORT Graphic3d_MapOfStructure & | Assign (const Graphic3d_MapOfStructure &Other)
Graphic3d_MapOfStructure & | operator= (const Graphic3d_MapOfStructure &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Graphic3d_MapOfStructure ()
Standard_EXPORT Standard_Boolean | Add (const Handle(Graphic3d_Structure)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(Graphic3d_Structure)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(Graphic3d_Structure)&aKey)

## Private Member Functions

Standard_EXPORT | Graphic3d_MapOfStructure (const Graphic3d_MapOfStructure &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_MapOfStructure::Graphic3d_MapOfStructure | ( | const Standard_Integer | NbBuckets = `1` | ) |

Graphic3d_MapOfStructure::~Graphic3d_MapOfStructure | ( |  | ) | `[inline]`

Standard_EXPORT Graphic3d_MapOfStructure::Graphic3d_MapOfStructure | ( | const Graphic3d_MapOfStructure & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean Graphic3d_MapOfStructure::Add | ( | const Handle(Graphic3d_Structure)& | aKey | ) |

Standard_EXPORT Graphic3d_MapOfStructure& Graphic3d_MapOfStructure::Assign | ( | const Graphic3d_MapOfStructure & | Other | ) |

Standard_EXPORT void Graphic3d_MapOfStructure::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Graphic3d_MapOfStructure::Contains | ( | const Handle(Graphic3d_Structure)& | aKey | ) | const

void Graphic3d_MapOfStructure::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Graphic3d_MapOfStructure::operator new | ( | size_t | size | ) | `[inline]`

void* Graphic3d_MapOfStructure::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Graphic3d_MapOfStructure& Graphic3d_MapOfStructure::operator= | ( | const Graphic3d_MapOfStructure & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean Graphic3d_MapOfStructure::Remove | ( | const Handle(Graphic3d_Structure)& | aKey | ) |

Standard_EXPORT void Graphic3d_MapOfStructure::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- Graphic3d_MapOfStructure.hxx